--DROP TABLE FEDLOGDB.NMCRL_ORG_SICC CASCADE CONSTRAINTS;

CREATE TABLE FEDLOGDB.NMCRL_ORG_SICC
(
  NCAGE  VARCHAR2(5 BYTE)                       NOT NULL,
  SICC   VARCHAR2(50 CHAR)                      NOT NULL
);


CREATE UNIQUE INDEX FEDLOGDB.P_NMCRL_ORG_SICC ON FEDLOGDB.NMCRL_ORG_SICC
(NCAGE, SICC);

ALTER TABLE FEDLOGDB.NMCRL_ORG_SICC ADD (
  CONSTRAINT P_NMCRL_ORG_SICC
  PRIMARY KEY
  (NCAGE, SICC)
  USING INDEX FEDLOGDB.P_NMCRL_ORG_SICC
  ENABLE VALIDATE);


CREATE INDEX FEDLOGDB.I_NMCRL_ORG_SICC_NCAGE ON FEDLOGDB.NMCRL_ORG_SICC
(NCAGE);

ALTER TABLE FEDLOGDB.NMCRL_ORG_SICC ADD (
  CONSTRAINT F_NMCRLORGSICC_NMCRLORG 
  FOREIGN KEY (NCAGE) 
  REFERENCES FEDLOGDB.NMCRL_ORG (NCAGE)
  ENABLE VALIDATE);
